import { XMPPService } from "../XMPPService";
import { XMPPUTils } from "../../common/XMPPUtils";
import { GenericHandler } from "./GenericHandler";
import { Core } from "../../Core";
import { ContactsService } from "../../services/ContactsService.js";
import { TasksService } from "../../services/TasksService.js";
export {};
declare class TasksEventHandler extends GenericHandler {
    MESSAGE: any;
    MESSAGE_MANAGEMENT: any;
    MESSAGE_ERROR: any;
    MESSAGE_HEADLINE: any;
    IQ_RESULT: any;
    IQ_ERROR: any;
    private _core;
    tasksService: TasksService;
    contactsService: ContactsService;
    xmppUtils: XMPPUTils;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService, core: Core);
    onIqResultReceived(msg: any, stanza: any): void;
    onErrorMessageReceived(msg: any, stanzaTab: any): void;
    onMessageReceived(msg: any, stanzaTab: any): Promise<boolean>;
    onManagementMessageReceived(msg: any, stanzaTab: any): Promise<boolean>;
    onTodosManagementMessageReceived(stanza: any): Promise<void>;
}
export { TasksEventHandler };
